Subject: bug#8183: isearch yanking

From: Chong Yidong <[email-masked]>
Date: Sat, 05 Mar 2011 19:23:31 -0500

[email-masked] writes:

> I just spent a while trying to track down a bug in isearch.el that
> turned out to be a "feature".  C-y has been hijacked to do some weird
> thing where it pastes the entire next line of the buffer instead of
> the kill ring. (Wacky!)

> Fortunately, the fix for this is easy. In isearch.el, just change the
> line that defines C-y as isearch-yank-line to isearch-yank-kill.

This has been bugging me, and has been discussed before, e.g.

  http://lists.gnu.org/archive/html/emacs-devel/2008-11/msg00485.html

Back in that 2008 thread, Juri Linkov suggested exactly this change, and
moving isearch-yank-line over to M-s C-e.

Nothing seemed to come of that suggestion, maybe due to simple inertia.
I now propose to make it so.  Any objections?